---
version: 1
name: android-mainline
description: LKFT Android Setup for android-mainline branch
jobs:
- name: x15
  bake:
    artifacts: []
    bblayers_conf: []
    container: ubuntu-20.04
    distro:
    environment: {}
    envsetup:
    local_conf: []
    machine:
    name: ''
    sources:
      android:
        branch: common-android-mainline
        build_config: common/build.config.gki.aarch64
        manifest: default.xml
        url: omap-modules/android-mainline/build.config.x15
    targets: null
  tests:
    - {device: x15, tests: [boot, cts-lkft, vts-kernel-armeabi-v7a]}

- name: hikey
  bakes:
    - artifacts: []
      bblayers_conf: []
      container: ubuntu-20.04
      distro: null
      environment: {}
      envsetup: null
      local_conf: []
      machine: null
      name: ''
      sources:
        android:
          bazel: true
          branch: common-android-mainline
          build_config: hikey-modules-linaro/hikey/android-mainline/build.config.hikey
          manifest: default.xml
          url: https://android.googlesource.com/kernel/manifest
      targets: null
  tests:
    - {device: hi6220-hikey, tests: [boot, vts-kernel-arm64-v8a,vts-kernel-armeabi-v7a, cts-lkft-no-bionic-libcore]}

- name: hikey960
  bakes:
    - artifacts: []
      bblayers_conf: []
      container: ubuntu-20.04
      distro:
      environment: {}
      envsetup:
      local_conf: []
      machine:
      name: ''
      sources:
        android:
          branch: common-android-mainline
          build_config: common/build.config.gki.aarch64
          manifest: default.xml
          url: https://android.googlesource.com/kernel/manifest
      targets: null
    - artifacts: []
      bblayers_conf: []
      container: ubuntu-20.04
      distro: null
      environment: {}
      envsetup: null
      local_conf: []
      machine: null
      name: ''
      sources:
        android:
          bazel: true
          branch: common-android-mainline
          build_config: hikey-modules-linaro/hikey960/android-mainline/build.config.hikey960
          manifest: default.xml
          url: https://android.googlesource.com/kernel/manifest
      targets: null
  tests:
    - {device: hi960-hikey, tests: [boot, vts-kernel-arm64-v8a,vts-kernel-armeabi-v7a, cts-lkft]}

- name: db845c
  bakes:
    - artifacts: []
      bblayers_conf: []
      container: ubuntu-20.04
      distro: null
      environment: {}
      envsetup: null
      local_conf: []
      machine: null
      name: ''
      sources:
        android:
          bazel: true
          branch: common-android-mainline
          build_config: //common:db845c_dist
          manifest: default.xml
          url: https://android.googlesource.com/kernel/manifest
      targets: null
  tests:
    - {device: dragonboard-845c, tests: [boot, vts-kernel-arm64-v8a,vts-kernel-armeabi-v7a, cts-lkft]}
    - {device: qrb5165-rb5, tests: [boot, vts-kernel-arm64-v8a,vts-kernel-armeabi-v7a, cts-lkft]}
